RUPTIME(1)

NAME
ruptime - show host status of local machines

SYNOPSIS
ruptime [-alrtu] [host ...]

DESCRIPTION
The ruptime utility gives a status line like uptime(1) for each machine on the local network; these are formed from packets broadcast by each host on the network once every three minutes.

If no operands are given, ruptime displays uptime status for all machines; otherwise only those hosts specified on the command line are displayed. If hosts are specified on the command line, the sort order is equivalent to the order hosts were specified on the command line.

Machines for which no status report has been received for 11 minutes are shown as being down, and machines for which no status report has been received for 4 days are not shown in the list at all.

The options are as follows:

-a  Include all users. By default, if a user has not typed to the system for an hour or more, then the user will be omitted from the output.

-l  Sort by load average.

-r  Reverse the sort order.

-t  Sort by uptime.

-u  Sort by number of users.

The default listing is sorted by host name.

FILES
/var/rwho/whod.*
    data files

SEE ALSO
rwho(1), uptime(1), rwhod(8)

HISTORY
A ruptime utility appeared in 4.2BSD.